%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             hibernate-commons-annotations
Version:          5.0.1
Release:          %mkrel 1
Group:            Development/Java
Summary:          Hibernate Annotations

# For details see:
# - https://github.com/hibernate/hibernate-commons-annotations/commit/4a902b4f97f923f9044a4127357b44fe5dc39cdc
# - https://github.com/hibernate/hibernate-commons-annotations/commit/a11c44cd65dadcedaf8981379b94a2c4e31428d1
License:          LGPLv2
# Incorrect Free Software Foundation address https://hibernate.atlassian.net/browse/HCANN-78
URL:              http://www.hibernate.org/

Source0:          https://github.com/hibernate/hibernate-commons-annotations/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz
Source1:          https://repository.jboss.org/nexus/service/local/repositories/central/content/org/hibernate/common/%{name}/%{namedversion}/%{name}-%{namedversion}.pom

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.bsc.maven:maven-processor-plugin)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-annotations)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor)


%description
Following the DRY (Don't Repeat Yourself) principle, 
Hibernate Validator let's you express your domain 
constraints once (and only once) and ensure their 
compliance at various level of your system 
automatically.

Common reflection code used in support of annotation processing.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n hibernate-commons-annotations-%{namedversion}
# Cleanup
find . -name '*.class' -print -delete
find . -name '*.jar' -print -delete

cp %{SOURCE1} pom.xml

# Set encodig
%pom_xpath_inject pom:project "
<properties>
 <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
 <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
</properties>"

# Generate logging source
%pom_add_plugin org.bsc.maven:maven-processor-plugin:2.2.4 . "
<configuration>
    <defaultOutputDirectory>\${project.build.directory}/generated-sources/logging</defaultOutputDirectory>
    <processors>
        <processor>org.jboss.logging.processor.apt.LoggingToolsProcessor</processor>
    </processors>
</configuration>
<executions>
    <execution>
        <id>process</id>
        <phase>generate-sources</phase>
        <goals>
            <goal>process</goal>
        </goals>
    </execution>
</executions>
<dependencies>
    <dependency>
        <groupId>org.jboss.logging</groupId>
        <artifactId>jboss-logging-processor</artifactId>
        <version>2.0.1.Final</version>
    </dependency>
</dependencies>"

# Inject and configure MANIFEST items
%pom_add_plugin org.apache.maven.plugins:maven-jar-plugin:2.6 . "
<configuration>
  <archive>
    <manifestFile>\${project.build.outputDirectory}/META-INF/MANIFEST.MF</manifestFile>
    <manifestEntries>
      <Implementation-Url>http://hibernate.org</Implementation-Url>
      <Implementation-Vendor>Hibernate.org</Implementation-Vendor>
      <Implementation-Vendor-Id>org.hibernate</Implementation-Vendor-Id>
      <Implementation-Version>\${project.version}</Implementation-Version>
      <Main-Class>org.hibernate.annotations.common.Version</Main-Class>
    </manifestEntries>
  </archive>
</configuration>"

# Add OSGi support
%pom_add_plugin org.apache.felix:maven-bundle-plugin:2.5.4 . "
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-SymbolicName>\${project.groupId}.\${project.artifactId}</Bundle-SymbolicName>
    <Bundle-Name>\${project.artifactId}</Bundle-Name>
    <Bundle-Vendor>Hibernate.org</Bundle-Vendor>
    <Bundle-Version>\${project.version}</Bundle-Version>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>"
# Add missing deps
%pom_add_dep org.jboss.logging:jboss-logging-annotations:2.0.1.Final:compile
%pom_add_dep junit:junit:4.12:test

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc changelog.txt readme.txt
%license lgpl.txt

%files javadoc -f .mfiles-javadoc
%license lgpl.txt



%changelog
* Thu May 11 2017 neoclust <neoclust> 5.0.1-1.mga6
+ Revision: 1100225
- New version 5.0.1

* Wed Mar 02 2016 neoclust <neoclust> 4.0.4-4.mga6
+ Revision: 982055
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 4.0.4-3.mga6
+ Revision: 977192
- First rebuild of the java stack
- sync package hibernate-commons-annotations with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Dec 28 2014 daviddavid <daviddavid> 4.0.4-1.mga5
+ Revision: 806840
- Sync whith fc21 (update to 4.0.4)

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 4.0.3-2.mga4
+ Revision: 545115
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 4.0.3-1.mga4
+ Revision: 500761
- New version
- Change maven BR into maven-local
- Java Stack Mass Rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 4.0.1-1.mga3
+ Revision: 292686
- New version

* Wed Jul 20 2011 dmorgan <dmorgan> 3.2.0-1.mga2
+ Revision: 127138
- Fix groups

  + gil <gil>
    - imported package hibernate-commons-annotations


* Wed Jun 01 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-3
- Fixed license
- Using source from git

* Mon May 23 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-2
- Moved to hibernate subdirectory

* Fri May 20 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-1
- Initial packaging


